const Hapi   = require('@hapi/hapi');
const Boom   = require('@hapi/boom');
const auth   = require('./auth');
const swagger= require('./swagger');
const routes = require('../src/routes');
const server = Hapi.server({
    host: 'localhost',
    port: 3000,
    routes: {
        validate: {
            failAction: async (req, response, err) => {
                throw Boom.badRequest(err.message)
            },
        },
    },
})
auth.register(server);
swagger.register(server);

for (const route in routes) {
    server.route(routes[route])
}
module.exports = server