const userHandler  = require('../../handlers/user_handler');
const userValidate = require('../../validates/user_validate');
const tokenSchema = require('../schema/tokenSchema');
module.exports = [
    {
        path   : '/users',
        method : 'GET',
        handler: userHandler.get,
        options:{
            auth    : false,
            validate: userValidate.get
        }
    },{
        path   : '/users',
        method : 'POST',
        handler: userHandler.create,
        options: {
            auth    : false,
            description: 'Logs existing user to the application',
            tags: ['api'],
            validate: userValidate.create,
            plugins: {
                'hapi-swagger': {
                    responses: {
                        200: {
                            description: 'Success',
                            schema: tokenSchema,
                        },
                    },
                    payloadType: 'form',
                },
            },
        }
    },{
        path   : '/login',
        method : 'POST',
        handler: userHandler.auth,
        options: {
            auth    : false,
            validate: userValidate.authenticate,
        },
    }
    
    
]