const Joi = require('@hapi/joi');
module.exports = {
    get:{
        query:{
            page : Joi.number().integer().min(1),
            limit: Joi.number().integer().min(1).default(10),
            status: Joi.number().integer().default(1),
        }
    },
    authenticate:{
        payload:{
            email: Joi.string().email()
            .description('users email. Will be stripped and lowercased'),
            password: Joi.string().min(6).max(30)
            .description('password. Minimum 6 characters, maximum 30'),
        },
    },
    create:{
        payload:{
            email   : Joi.string().email().required(),
            password: Joi.string().min(6).max(30).required()
        }
    }
}